{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>Share Experiences</title>
{% endblock %}

{% block content %}

<div class="container-fluid my-5 mx-auto text-center" style="max-width: 810px;">
    <h1>Yuk sampaikan pengalamanmu selama masa pandemi</h1>
    <h6 class="mt-4 mx-2 text-muted">Sampaikan pengalaman selama PJJ, WFH, SFH, atau pengalaman lainnya selama masa pandemi</h6>
</div>
<div class="text-center py-3">
	<a type="button" href="#sampaikan_disini" class="btn btn-light border border-secondary btn-lg font-weight-bold">SAMPAIKAN DISINI</a>
</div>

<div class="container-fluid my-5">
	<div class="row overflow-auto">
		<div class="col-md-8 offset-md-2 ">
            <div class="rounded-lg border border-secondary p-3"  style="background: white">
                {% if experiences %}
                <div class="container-fluid  overflow-auto" style="max-height: 450px;">
                    {% for pengalaman in experiences %}
                    <div class="card border-white">
                        <div class="card-body">
                          <h4 class="card-title">{{ pengalaman.nama}}</h5>
                          <p class="card-subtitle mb-3 text-muted">{{ pengalaman.lokasi }}</p>
                          <h5 class="card-text">{{ pengalaman.pengalaman }}</h5>
                          <button type="reset" class="btn float-right" data-toggle="modal" data-target="#exampleModal{{ pengalaman.id }}">
                            <img src="{% static 'img/trash.png' %}" width="20" height="20" alt="trash">
                          </button>
                        </div>
                        <hr class="mx-5 my-1">
                    </div>

                    <!-- Modal -->
                    <div class="modal fade" id="exampleModal{{ pengalaman.id }}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Peringatan</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                            </div>
                            <div class="modal-body">
                                <h4>Apakah anda ingin menghapus tanggapan ini?</h4>

                                <div class="card border-white">
                                    <div class="card-body">
                                      <h4 class="card-title">{{ pengalaman.nama}}</h5>
                                      <p class="card-subtitle mb-3 text-muted">{{ pengalaman.lokasi }}</p>
                                      <h5 class="card-text">{{ pengalaman.pengalaman }}</h5>
                                    </div>
                                </div>
                               
                            </div>
                            <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>

                            <form class="text-center" action="{% url 'experiences:deleteexperience' pengalaman.id %}" method="POST">
                                {% csrf_token %}
                                <button type="submit" class="btn btn-danger">Hapus</button>
                            </form>

                            </div>
                        </div>
                        </div>
                    </div>

                    {% endfor %}
                </div>
				{% endif %}
			</div>
		</div>
    </div>
</div>

<div class="container-fluid my-5" id="sampaikan_disini">
	<div class="row">
		<div class="col-md-8 offset-md-2">
			<div class="rounded-lg border border-secondary p-3" style="background: white">
				<h4 class="text-center">SAMPAIKAN DISINI</h4>
				<form class = "ml-5 mr-5 mt-2 font-weight-bold py-4" action="{% url 'experiences:saveexperience' %}" method="POST">
					{% csrf_token %}
					<div class="form-group">
						<label for="jumlah">Nama</label> {{form.nama}}
					</div>
					<div class="form-group">
						<label for="prov">Lokasi</label> {{form.lokasi}}
					</div>
					<div class="form-group">
						<label for="kotkab">Pengalaman kamu</label> {{form.pengalaman}}
					</div>
					<center class="pt-3">
						<a type="button" data-toggle="modal" data-target="#exampleModal" class="btn btn-light border border-dark font-weight-bold">SAMPAIKAN</a>
					</center>
					<!-- Modal -->
					<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-header">
									<h6 class="modal-title" id="exampleModalLabel">Peringatan</h6>
									<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
									</button>
								</div>
								<div class="modal-body">
									<h5 class="modal-title" id="exampleModalLabel">Apakah anda yakin data yang dimasukkan sudah benar?</h5>
								</div>
								<div class="modal-footer">
									<button type="submit" class="btn btn-light border border-dark font-weight-bold">Sudah</button>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
    </div>
</div>

{% endblock content %}
